com.google.appengine.api.prospectivesearch.dev

## Class QueryEvaluator

- java.lang.Object
- - com.google.appengine.api.prospectivesearch.dev.QueryEvaluator

-     public class QueryEvaluator
      extends java.lang.Object

  The QueryEvaluator class performs a full visit of the query tree, dispatching leaf evaluations to the QueryEngine. Fine-grained debugging of query parsing is available at the logging level java.util.logging.Level.FINEST. Not multi-thread safe.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitConjunction(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents a conjunction (logical and) of conditions.
    `void` | `visitContains(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents that a field must contain a value.
    `void` | `visitDisjunction(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents a disjunction (logical or) of conditions.
    `void` | `visitEqual(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents that a field value must be greater than or equal to some specified value.
    `void` | `visitFunction(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)`
    `void` | `visitFuzzy(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents a text field that is subject to query rewrite.
    `void` | `visitGlobal(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)`
    `void` | `visitGreaterOrEqual(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents an inequality between a field and value.
    `void` | `visitGreaterThan(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents that a field value must be greater than some specified value.
    `void` | `visitLessOrEqual(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents that a field value must be less than or equal to some specified value.
    `void` | `visitLessThan(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents that a field value must be less than some specified value.
    `void` | `visitLiteral(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents a text field that must not be altered.
    `void` | `visitNegation(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents a negation of conditions.
    `void` | `visitOther(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Catch-all method for future type of query nodes.
    `void` | `visitSequence(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)`
    `void` | `visitValue(Tree node, com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)` Visits a node that represents a constant value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### visitSequence

          public void visitSequence(Tree node,
                           com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

    - #### visitConjunction

          public void visitConjunction(Tree node,
                              com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents a conjunction (logical and) of conditions.
      Parameters:
        `matches` - Is set to the conjunction of node's sub-expressions.

    - #### visitDisjunction

          public void visitDisjunction(Tree node,
                              com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents a disjunction (logical or) of conditions.
      Parameters:
        `matches` - Is set to the disjunction of node's sub-expressions.

    - #### visitNegation

          public void visitNegation(Tree node,
                           com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents a negation of conditions.
      Parameters:
        `matches` - Is set to the negation of node's sub-expression.

    - #### visitFuzzy

          public void visitFuzzy(Tree node,
                        com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents a text field that is subject to query rewrite.

    - #### visitLiteral

          public void visitLiteral(Tree node,
                          com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents a text field that must not be altered.

    - #### visitLessThan

          public void visitLessThan(Tree node,
                           com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents that a field value must be less than some specified value.

    - #### visitLessOrEqual

          public void visitLessOrEqual(Tree node,
                              com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents that a field value must be less than or equal to some specified value.

    - #### visitGreaterThan

          public void visitGreaterThan(Tree node,
                              com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents that a field value must be greater than some specified value.

    - #### visitGreaterOrEqual

          public void visitGreaterOrEqual(Tree node,
                                 com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents an inequality between a field and value.

    - #### visitEqual

          public void visitEqual(Tree node,
                        com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents that a field value must be greater than or equal to some specified value.

    - #### visitContains

          public void visitContains(Tree node,
                           com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents that a field must contain a value.

    - #### visitValue

          public void visitValue(Tree node,
                        com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Visits a node that represents a constant value.

    - #### visitGlobal

          public void visitGlobal(Tree node,
                         com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

    - #### visitFunction

          public void visitFunction(Tree node,
                           com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

    - #### visitOther

          public void visitOther(Tree node,
                        com.google.appengine.api.prospectivesearch.dev.BooleanQueryContext matches)

      Catch-all method for future type of query nodes.